# IRremoteESP8266: src/ir_Doshisha.cpp File Reference

ir_Doshisha.cpp File Reference

Doshisha protocol support. More...

## Variables

const uint16_t | kDoshishaHdrMark = 3412
const uint16_t | kDoshishaHdrSpace = 1722
const uint16_t | kDoshishaBitMark = 420
const uint16_t | kDoshishaOneSpace = 1310
const uint16_t | kDoshishaZeroSpace = 452
const uint64_t | kRcz01SignatureMask = 0xffffffff00
const uint64_t | kRcz01Signature = 0x800B304800
const uint8_t | kRcz01CommandMask = 0xFE
const uint8_t | kRcz01ChannelMask = 0x01
const uint8_t | kRcz01CommandSwitchChannel = 0xD2
const uint8_t | kRcz01CommandTimmer60 = 0x52
const uint8_t | kRcz01CommandTimmer30 = 0x92
const uint8_t | kRcz01CommandOff = 0xA0
const uint8_t | kRcz01CommandLevelDown = 0x2C
const uint8_t | kRcz01CommandLevelUp = 0xCC
const uint8_t | kRcz01CommandLevel1 = 0xA4
const uint8_t | kRcz01CommandLevel2 = 0x24
const uint8_t | kRcz01CommandLevel3 = 0xC4
const uint8_t | kRcz01CommandLevel4 = 0xD0
const uint8_t | kRcz01CommandOn = 0xC0
const uint8_t | kRcz01CommandNightLight = 0xC8

## Detailed Description

Doshisha protocol support.

See also
  https://www.doshisha-led.com/

## Variable Documentation

## kDoshishaBitMark

const uint16_t kDoshishaBitMark = 420

## kDoshishaHdrMark

const uint16_t kDoshishaHdrMark = 3412

## kDoshishaHdrSpace

const uint16_t kDoshishaHdrSpace = 1722

## kDoshishaOneSpace

const uint16_t kDoshishaOneSpace = 1310

## kDoshishaZeroSpace

const uint16_t kDoshishaZeroSpace = 452

## kRcz01ChannelMask

const uint8_t kRcz01ChannelMask = 0x01

## kRcz01CommandLevel1

const uint8_t kRcz01CommandLevel1 = 0xA4

## kRcz01CommandLevel2

const uint8_t kRcz01CommandLevel2 = 0x24

## kRcz01CommandLevel3

const uint8_t kRcz01CommandLevel3 = 0xC4

## kRcz01CommandLevel4

const uint8_t kRcz01CommandLevel4 = 0xD0

## kRcz01CommandLevelDown

const uint8_t kRcz01CommandLevelDown = 0x2C

## kRcz01CommandLevelUp

const uint8_t kRcz01CommandLevelUp = 0xCC

## kRcz01CommandMask

const uint8_t kRcz01CommandMask = 0xFE

## kRcz01CommandNightLight

const uint8_t kRcz01CommandNightLight = 0xC8

## kRcz01CommandOff

const uint8_t kRcz01CommandOff = 0xA0

## kRcz01CommandOn

const uint8_t kRcz01CommandOn = 0xC0

## kRcz01CommandSwitchChannel

const uint8_t kRcz01CommandSwitchChannel = 0xD2

## kRcz01CommandTimmer30

const uint8_t kRcz01CommandTimmer30 = 0x92

## kRcz01CommandTimmer60

const uint8_t kRcz01CommandTimmer60 = 0x52

## kRcz01Signature

const uint64_t kRcz01Signature = 0x800B304800

## kRcz01SignatureMask

const uint64_t kRcz01SignatureMask = 0xffffffff00